Skip to content
Registry StackDocsDevelopment (unreleased)

actions.register-facility.availability

POST
/v1/actions/register-facility/availability
curl --request POST \
--url https://example.com/v1/actions/register-facility/availability \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "input": { "operatorId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }, "targetInput": "operatorId" }'
traceparent
string
>= 55 characters <= 55 characters /^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

Optional W3C trace context. Responses carry Registry trace context for the request.

accessProfile
string
<= 128 characters

Select one compiled access profile. Required when the route has no default; otherwise omission uses its default.

Media typeapplication/json
One of:
object
input
required
object
operatorId
required
string format: uuid
targetInput
required
Allowed value: operatorId

Action availability returned

Media typeapplication/json
object
availability
required
One of:
object
available
required
observedRevision
required
integer format: int64
>= 1

Example

{
"availability": {
"available": true
}
}
Cache-Control
Allowed value: no-store

Caller-dependent responses must not be stored.

traceparent
string
>= 55 characters <= 55 characters /^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

Trace context for this response.

Example
00-11111111111111111111111111111111-2222222222222222-01

Problem response

Media typeapplication/problem+json
object
code
required
string
Allowed values: action.evidence_failed action.guard_failed action.handler_failed action.refused authentication.refused idempotency.conflict idempotency.expired ingestion.chunk_mismatch ingestion.profile_mismatch ingestion.receipt_erased ingestion.run_blocked ingestion.run_not_open lookup.unresolved mutation.conflict precondition.failed precondition.required proposal.rejected proposal.review_result_mismatch proposal.submission_expired query.cursor_invalid query.invalid request.invalid request.timeout resource.not_found runtime.field_encryption.unavailable service.unavailable source.unavailable statistical_dataset.domain_violation statistical_dataset.release_refused statistical_dataset.version_conflict statistical_dataset.version_withdrawn unsupported.media_type
constraintId
string
>= 1 characters <= 128 characters
constraintKind
string
Allowed values: compare int-range vocabulary
detail
required
string
<= 256 characters
field
string
>= 1 characters <= 128 characters
fieldId
string
>= 1 characters <= 128 characters
fieldPath
string
<= 256 characters
left
string
>= 1 characters <= 128 characters
reasonCode
string
Allowed values: computation-error source-data-error disclosure-risk
recordType
string
>= 1 characters <= 128 characters
refusalCode
string
>= 1 characters <= 128 characters
right
string
>= 1 characters <= 128 characters
status
required
integer
>= 400 <= 599
title
required
string
<= 128 characters
traceId
required
string
>= 32 characters <= 32 characters /^[0-9a-f]{32}$/
type
required
string format: uri
<= 256 characters

Examples

Examplerequest.invalid
{
"code": "request.invalid",
"detail": "The request is invalid.",
"status": 400,
"title": "Bad Request",
"traceId": "11111111111111111111111111111111",
"type": "https://id.registrystack.org/problems/registry-breg/request/invalid"
}
Cache-Control
Allowed value: no-store

Caller-dependent responses must not be stored.

traceparent
string
>= 55 characters <= 55 characters /^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

Trace context for this problem response.

Example
00-11111111111111111111111111111111-2222222222222222-01

Problem response

Media typeapplication/problem+json
object
code
required
string
Allowed values: action.evidence_failed action.guard_failed action.handler_failed action.refused authentication.refused idempotency.conflict idempotency.expired ingestion.chunk_mismatch ingestion.profile_mismatch ingestion.receipt_erased ingestion.run_blocked ingestion.run_not_open lookup.unresolved mutation.conflict precondition.failed precondition.required proposal.rejected proposal.review_result_mismatch proposal.submission_expired query.cursor_invalid query.invalid request.invalid request.timeout resource.not_found runtime.field_encryption.unavailable service.unavailable source.unavailable statistical_dataset.domain_violation statistical_dataset.release_refused statistical_dataset.version_conflict statistical_dataset.version_withdrawn unsupported.media_type
constraintId
string
>= 1 characters <= 128 characters
constraintKind
string
Allowed values: compare int-range vocabulary
detail
required
string
<= 256 characters
field
string
>= 1 characters <= 128 characters
fieldId
string
>= 1 characters <= 128 characters
fieldPath
string
<= 256 characters
left
string
>= 1 characters <= 128 characters
reasonCode
string
Allowed values: computation-error source-data-error disclosure-risk
recordType
string
>= 1 characters <= 128 characters
refusalCode
string
>= 1 characters <= 128 characters
right
string
>= 1 characters <= 128 characters
status
required
integer
>= 400 <= 599
title
required
string
<= 128 characters
traceId
required
string
>= 32 characters <= 32 characters /^[0-9a-f]{32}$/
type
required
string format: uri
<= 256 characters

Examples

Exampleauthentication.refused
{
"code": "authentication.refused",
"detail": "The bearer credential is missing or refused.",
"status": 401,
"title": "Unauthorized",
"traceId": "11111111111111111111111111111111",
"type": "https://id.registrystack.org/problems/registry-breg/authentication/refused"
}
Cache-Control
Allowed value: no-store

Caller-dependent responses must not be stored.

traceparent
string
>= 55 characters <= 55 characters /^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

Trace context for this problem response.

Example
00-11111111111111111111111111111111-2222222222222222-01

Problem response

Media typeapplication/problem+json
object
code
required
string
Allowed values: action.evidence_failed action.guard_failed action.handler_failed action.refused authentication.refused idempotency.conflict idempotency.expired ingestion.chunk_mismatch ingestion.profile_mismatch ingestion.receipt_erased ingestion.run_blocked ingestion.run_not_open lookup.unresolved mutation.conflict precondition.failed precondition.required proposal.rejected proposal.review_result_mismatch proposal.submission_expired query.cursor_invalid query.invalid request.invalid request.timeout resource.not_found runtime.field_encryption.unavailable service.unavailable source.unavailable statistical_dataset.domain_violation statistical_dataset.release_refused statistical_dataset.version_conflict statistical_dataset.version_withdrawn unsupported.media_type
constraintId
string
>= 1 characters <= 128 characters
constraintKind
string
Allowed values: compare int-range vocabulary
detail
required
string
<= 256 characters
field
string
>= 1 characters <= 128 characters
fieldId
string
>= 1 characters <= 128 characters
fieldPath
string
<= 256 characters
left
string
>= 1 characters <= 128 characters
reasonCode
string
Allowed values: computation-error source-data-error disclosure-risk
recordType
string
>= 1 characters <= 128 characters
refusalCode
string
>= 1 characters <= 128 characters
right
string
>= 1 characters <= 128 characters
status
required
integer
>= 400 <= 599
title
required
string
<= 128 characters
traceId
required
string
>= 32 characters <= 32 characters /^[0-9a-f]{32}$/
type
required
string format: uri
<= 256 characters

Examples

Exampleresource.not_found
{
"code": "resource.not_found",
"detail": "The requested resource was not found.",
"status": 404,
"title": "Not Found",
"traceId": "11111111111111111111111111111111",
"type": "https://id.registrystack.org/problems/registry-breg/resource/not_found"
}
Cache-Control
Allowed value: no-store

Caller-dependent responses must not be stored.

traceparent
string
>= 55 characters <= 55 characters /^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

Trace context for this problem response.

Example
00-11111111111111111111111111111111-2222222222222222-01

Problem response

Media typeapplication/problem+json
object
code
required
string
Allowed values: action.evidence_failed action.guard_failed action.handler_failed action.refused authentication.refused idempotency.conflict idempotency.expired ingestion.chunk_mismatch ingestion.profile_mismatch ingestion.receipt_erased ingestion.run_blocked ingestion.run_not_open lookup.unresolved mutation.conflict precondition.failed precondition.required proposal.rejected proposal.review_result_mismatch proposal.submission_expired query.cursor_invalid query.invalid request.invalid request.timeout resource.not_found runtime.field_encryption.unavailable service.unavailable source.unavailable statistical_dataset.domain_violation statistical_dataset.release_refused statistical_dataset.version_conflict statistical_dataset.version_withdrawn unsupported.media_type
constraintId
string
>= 1 characters <= 128 characters
constraintKind
string
Allowed values: compare int-range vocabulary
detail
required
string
<= 256 characters
field
string
>= 1 characters <= 128 characters
fieldId
string
>= 1 characters <= 128 characters
fieldPath
string
<= 256 characters
left
string
>= 1 characters <= 128 characters
reasonCode
string
Allowed values: computation-error source-data-error disclosure-risk
recordType
string
>= 1 characters <= 128 characters
refusalCode
string
>= 1 characters <= 128 characters
right
string
>= 1 characters <= 128 characters
status
required
integer
>= 400 <= 599
title
required
string
<= 128 characters
traceId
required
string
>= 32 characters <= 32 characters /^[0-9a-f]{32}$/
type
required
string format: uri
<= 256 characters

Examples

Exampleunsupported.media_type
{
"code": "unsupported.media_type",
"detail": "The request media type is not supported.",
"status": 415,
"title": "Unsupported Media Type",
"traceId": "11111111111111111111111111111111",
"type": "https://id.registrystack.org/problems/registry-breg/unsupported/media_type"
}
Cache-Control
Allowed value: no-store

Caller-dependent responses must not be stored.

traceparent
string
>= 55 characters <= 55 characters /^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

Trace context for this problem response.

Example
00-11111111111111111111111111111111-2222222222222222-01

Problem response

Media typeapplication/problem+json
object
code
required
string
Allowed values: action.evidence_failed action.guard_failed action.handler_failed action.refused authentication.refused idempotency.conflict idempotency.expired ingestion.chunk_mismatch ingestion.profile_mismatch ingestion.receipt_erased ingestion.run_blocked ingestion.run_not_open lookup.unresolved mutation.conflict precondition.failed precondition.required proposal.rejected proposal.review_result_mismatch proposal.submission_expired query.cursor_invalid query.invalid request.invalid request.timeout resource.not_found runtime.field_encryption.unavailable service.unavailable source.unavailable statistical_dataset.domain_violation statistical_dataset.release_refused statistical_dataset.version_conflict statistical_dataset.version_withdrawn unsupported.media_type
constraintId
string
>= 1 characters <= 128 characters
constraintKind
string
Allowed values: compare int-range vocabulary
detail
required
string
<= 256 characters
field
string
>= 1 characters <= 128 characters
fieldId
string
>= 1 characters <= 128 characters
fieldPath
string
<= 256 characters
left
string
>= 1 characters <= 128 characters
reasonCode
string
Allowed values: computation-error source-data-error disclosure-risk
recordType
string
>= 1 characters <= 128 characters
refusalCode
string
>= 1 characters <= 128 characters
right
string
>= 1 characters <= 128 characters
status
required
integer
>= 400 <= 599
title
required
string
<= 128 characters
traceId
required
string
>= 32 characters <= 32 characters /^[0-9a-f]{32}$/
type
required
string format: uri
<= 256 characters

Examples

{
"code": "runtime.field_encryption.unavailable",
"detail": "The Registry field-encryption service is unavailable.",
"status": 503,
"title": "Service Unavailable",
"traceId": "11111111111111111111111111111111",
"type": "https://id.registrystack.org/problems/registry-breg/runtime/field_encryption/unavailable"
}
Cache-Control
Allowed value: no-store

Caller-dependent responses must not be stored.

traceparent
string
>= 55 characters <= 55 characters /^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

Trace context for this problem response.

Example
00-11111111111111111111111111111111-2222222222222222-01

Problem response

Media typeapplication/problem+json
object
code
required
string
Allowed values: action.evidence_failed action.guard_failed action.handler_failed action.refused authentication.refused idempotency.conflict idempotency.expired ingestion.chunk_mismatch ingestion.profile_mismatch ingestion.receipt_erased ingestion.run_blocked ingestion.run_not_open lookup.unresolved mutation.conflict precondition.failed precondition.required proposal.rejected proposal.review_result_mismatch proposal.submission_expired query.cursor_invalid query.invalid request.invalid request.timeout resource.not_found runtime.field_encryption.unavailable service.unavailable source.unavailable statistical_dataset.domain_violation statistical_dataset.release_refused statistical_dataset.version_conflict statistical_dataset.version_withdrawn unsupported.media_type
constraintId
string
>= 1 characters <= 128 characters
constraintKind
string
Allowed values: compare int-range vocabulary
detail
required
string
<= 256 characters
field
string
>= 1 characters <= 128 characters
fieldId
string
>= 1 characters <= 128 characters
fieldPath
string
<= 256 characters
left
string
>= 1 characters <= 128 characters
reasonCode
string
Allowed values: computation-error source-data-error disclosure-risk
recordType
string
>= 1 characters <= 128 characters
refusalCode
string
>= 1 characters <= 128 characters
right
string
>= 1 characters <= 128 characters
status
required
integer
>= 400 <= 599
title
required
string
<= 128 characters
traceId
required
string
>= 32 characters <= 32 characters /^[0-9a-f]{32}$/
type
required
string format: uri
<= 256 characters

Examples

Examplerequest.timeout
{
"code": "request.timeout",
"detail": "The request timed out.",
"status": 504,
"title": "Gateway Timeout",
"traceId": "11111111111111111111111111111111",
"type": "https://id.registrystack.org/problems/registry-breg/request/timeout"
}
Cache-Control
Allowed value: no-store

Caller-dependent responses must not be stored.

traceparent
string
>= 55 characters <= 55 characters /^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

Trace context for this problem response.

Example
00-11111111111111111111111111111111-2222222222222222-01